@import 'node_modules/normalize.css/normalize';


*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    height: 100%;
    font-size: 16px;
    line-height: 1.5;
}
body {
    min-height: 100%;
    color: var(--text-color);
    background-color: var(--color-bg);
    font-family: var(--font-primary);
    font-size: rem(16);
}


// Typography
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    margin: 0;
    padding: 0;
    color: var(--color-white);
    font-weight: 700;
    line-height: normal;
}

h1, .h1 {

    font-weight: 700;
    font-size: rem(32);
    margin-bottom: rem(32);
    text-transform: uppercase;
    font-family: var(--font-secondary);

    @include media-breakpoint-up(md) {
        font-size: rem(44);
        margin-bottom: rem(24);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(54);
        margin-bottom: rem(45);
    }
}

h2, .h2 {
    font-size: rem(20);
    margin-bottom: rem(10);

    @include media-breakpoint-up(md) {
        font-size: rem(24);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(28);
    }
}

h3, .h3 {
    font-size: rem(18);
    margin-bottom: rem(12);
}

h4, .h4 {
    font-size: rem(20);
    margin-bottom: rem(20);
}

h5, .h5 {
    font-size: rem(16);
    margin-bottom: rem(20);
}

h6, .h6 {
    font-size: rem(14);
    margin-bottom: rem(20);
}

a {
    color: var(--color-gray);
    text-decoration: underline;
    transition: .25s;

    &:hover {
        color: var(--color-white);
        text-decoration: none;
        transition: .25s;
    }
}

p {
    margin-top: 0;
    margin-bottom: rem(10);

    &:last-child {
        margin-bottom: 0;
    }
}

// Lists

ol,
ul {
    padding-left: rem(32);
}

ol,
ul,
dl {
    margin-top: 0;
    margin-bottom: rem(20);
}

ol ol,
ul ul,
ol ul,
ul ol {
    margin-bottom: 0;
}


